
Foreman - Bug #33179

Puppet environment help, shows at the top of the page Lifecycle environments instead of

Environments

07/29/2021 09:13 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: yifat makias   

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.3

Triaged: No Found in Releases:  

Bugzilla link: 1984965 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8700

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1984965

Description of problem:

SSIA

Version-Release number of selected component (if applicable):

sat 6.10 snap 10

How reproducible:

Always

Steps to Reproduce:

1. Configure -> Environments -> help button

2. when you look at the top of the page, there is a breadcrumb navigation but it shows Lifecycle Environments

3. When you click on breadcrumb Lifecycle Environments link you are moved to Puppet Environemnts (which is correct and

expected)

Actual results:

Button is called Lifecycle Environments

Expected results:

It's for puppet environment. It should be called Puppet Environments or Environments

(I think Environments is now depracated at least in api calls and hammer )

Additional info:

This problem is not occurring in 6.9.4

So it's regression.

History

#1 - 07/29/2021 09:26 AM - yifat makias

- Subject changed from Puppet environment help, shows at the top of the page Lifecycle environments instead of Environments

 to Puppet environment help, shows at the top of the page Lifecycle environments instead of Environments

- Status changed from New to Assigned

- Assignee set to yifat makias

#2 - 07/29/2021 11:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8700 added

#3 - 08/11/2021 01:04 PM - Tomer Brisker
https://bugzilla.redhat.com/show_bug.cgi?id=1984965


- Category set to Puppet integration

- Status changed from Ready For Testing to Closed

- Fixed in Releases 2.5.3 added

Fix was only in stable branch so issue did not auto-close.
